#include "_Link.h"

namespace cosi
{

namespace library
{

namespace onchipcommunication
{

_Link::_Link() {
	mDirected = true;
}

_Link::~_Link() {
}

void _Link::SetSource(Name pS) {
	mSource = pS ;
}

Name _Link::GetSource() {
	return mSource ;
}

void _Link::SetDestination(Name pS) {
	mDest = pS ;

}
Name _Link::GetDestination() {
	return mDest ;
}

void _Link::SetSourceInterface(cosi::quantity::onchipcommunication::Interface pS) {
	mSourceInterface = pS ;
}

cosi::quantity::onchipcommunication::Interface _Link::GetSourceInterface() {
	return mSourceInterface ;
}

void _Link::SetDestinationInterface(cosi::quantity::onchipcommunication::Interface pS) {
	mDestInterface = pS ;

}

cosi::quantity::onchipcommunication::Interface _Link::GetDestinationInterface() {
	return mDestInterface ;
}

bool _Link::Directed(){
	return mDirected ;
}
void _Link::Directed(bool pD){
	mDirected = pD ;
}



}

}

}
